<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <meta name="generator" content="pandoc">
  <meta name="author" content="du matériel pour programmer !">
  <title>Objets connectés</title>
  <meta name="apple-mobile-web-app-capable" content="yes">
  <meta name="apple-mobile-web-app-status-bar-style" content="black-translucent">
  <meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no, minimal-ui">
  <link rel="stylesheet" href="reveal.js/css/reveal.css">
  <style type="text/css">code{white-space: pre;}</style>
  <style type="text/css">
div.sourceCode { overflow-x: auto; }
table.sourceCode, tr.sourceCode, td.lineNumbers, td.sourceCode {
  margin: 0; padding: 0; vertical-align: baseline; border: none; }
table.sourceCode { width: 100%; line-height: 100%; }
td.lineNumbers { text-align: right; padding-right: 4px; padding-left: 4px; color: #aaaaaa; border-right: 1px solid #aaaaaa; }
td.sourceCode { padding-left: 5px; }
code > span.kw { color: #007020; font-weight: bold; } /* Keyword */
code > span.dt { color: #902000; } /* DataType */
code > span.dv { color: #40a070; } /* DecVal */
code > span.bn { color: #40a070; } /* BaseN */
code > span.fl { color: #40a070; } /* Float */
code > span.ch { color: #4070a0; } /* Char */
code > span.st { color: #4070a0; } /* String */
code > span.co { color: #60a0b0; font-style: italic; } /* Comment */
code > span.ot { color: #007020; } /* Other */
code > span.al { color: #ff0000; font-weight: bold; } /* Alert */
code > span.fu { color: #06287e; } /* Function */
code > span.er { color: #ff0000; font-weight: bold; } /* Error */
code > span.wa { color: #60a0b0; font-weight: bold; font-style: italic; } /* Warning */
code > span.cn { color: #880000; } /* Constant */
code > span.sc { color: #4070a0; } /* SpecialChar */
code > span.vs { color: #4070a0; } /* VerbatimString */
code > span.ss { color: #bb6688; } /* SpecialString */
code > span.im { } /* Import */
code > span.va { color: #19177c; } /* Variable */
code > span.cf { color: #007020; font-weight: bold; } /* ControlFlow */
code > span.op { color: #666666; } /* Operator */
code > span.bu { } /* BuiltIn */
code > span.ex { } /* Extension */
code > span.pp { color: #bc7a00; } /* Preprocessor */
code > span.at { color: #7d9029; } /* Attribute */
code > span.do { color: #ba2121; font-style: italic; } /* Documentation */
code > span.an { color: #60a0b0; font-weight: bold; font-style: italic; } /* Annotation */
code > span.cv { color: #60a0b0; font-weight: bold; font-style: italic; } /* CommentVar */
code > span.in { color: #60a0b0; font-weight: bold; font-style: italic; } /* Information */
  </style>
  <link rel="stylesheet" href="reveal.js/css/theme/moon.css" id="theme">
  <!-- Printing and PDF exports -->
  <script>
    var link = document.createElement( 'link' );
    link.rel = 'stylesheet';
    link.type = 'text/css';
    link.href = window.location.search.match( /print-pdf/gi ) ? 'reveal.js/css/print/pdf.css' : 'reveal.js/css/print/paper.css';
    document.getElementsByTagName( 'head' )[0].appendChild( link );
  </script>
  <!--[if lt IE 9]>
  <script src="reveal.js/lib/js/html5shiv.js"></script>
  <![endif]-->
</head>
<body>
  <div class="reveal">
    <div class="slides">

<section>
  <h1 class="title">Objets connectés</h1>
  <p class="author">du matériel pour programmer !</p>
  <p class="date"><br>4e journée l’enseignement de l’informatique<br>avril 2019</p>
</section>

<section><section id="présentations" class="titleslide slide level1"><h1>Présentations</h1></section><section id="animateurs-datelier" class="slide level2">
<h2>Animateurs d’atelier</h2>
<h4 id="qui">Qui ?</h4>
<p>Bruno Bourgine &amp; Pascal Padilla</p>
<h4 id="quoi">Quoi ?</h4>
<p>Professeurs de Mathématiques et Sciences Physiques en Lycée Professionnel</p>
<h4 id="où">Où ?</h4>
<p>IREM Marseille</p>
</section><section id="groupe-ineflp" class="slide level2">
<h2>Groupe InEFLP</h2>
<p>Innovation</p>
<h4 id="formes-scolaires-innovantes">Formes scolaires innovantes</h4>
<p>Expérimentation</p>
<h4 id="micro-contrôleur">Micro-contrôleur</h4>
<p>Formation</p>
<h4 id="algorithme">Algorithme</h4>
</section><section id="à-propos-de-cet-atelier" class="slide level2">
<h2>À propos de cet atelier</h2>
<h4 id="programmer-des-objets-connectés-pour-faire-des-maths.">Programmer des objets connectés pour faire des maths.</h4>
<ul>
<li class="fragment">Comprendre les objets de notre environnement.</li>
<li class="fragment">Des objets pour mesurer et communiquer.</li>
<li class="fragment">Des objets pour faire des maths.</li>
</ul>
</section><section id="déroulement-de-cet-atelier" class="slide level2">
<h2>Déroulement de cet atelier</h2>
<h3 id="théorique">(théorique)</h3>
<ol type="1">
<li class="fragment">Découverte du Micro:bit</li>
<li class="fragment">La programmation par bloc</li>
<li class="fragment">La programmation en Python</li>
</ol>
</section></section>
<section><section id="microbit" class="titleslide slide level1"><h1>Micro:Bit</h1></section><section id="section" class="slide level2">
<h2></h2>
<figure>
<img src="./res/mb.png" style="width:65.0%" />
</figure>
<aside class="notes">
<ul>
<li>
UMicro:bit est un microcontrôleur développé au Royaume-Unis.
<li>
Par ses caractéristiques techniques et ses interfaces pédagogiques, cet objet possède un fort potentiel pour l’enseignement de l’algorithmique.
</ul>
</aside>
</section><section id="section-1" class="slide level2">
<h2></h2>
<p><img src="./res/stg13.jpg" style="width:40.0%" /> <img src="./res/stg12.jpg" style="width:40.0%" /></p>
<aside class="notes">
<ul>
<li>
Une carte à l’initiative de la BBC pour équiper tous les collégiens anglais.
<li>
Un petit objet robuste programmable par un enfant de 10 ans
<li>
De grandes possibilités d’interactions avec l’environnement.
</ul>
</aside>
</section><section id="section-2" class="slide level2">
<h2></h2>
<p><img src="./res/stg01.jpg" style="width:45.0%" /> <img src="./res/stg03.jpg" style="width:45.0%" /></p>
<aside class="notes">
La carte se programme
<ul>
<li>
par bloc
<li>
en Python
<li>
en JavaScript
</ul>
</aside>
</section><section id="section-3" class="slide level2" data-background-video="./res/mu.mp4" data-background-video-loop="true" data-background-size="contain">
<h2></h2>
<aside class="notes">
La carte se programme
<ul>
<li>
par bloc
<li>
en Python
<li>
en JavaScript
</ul>
</aside>
</section><section id="section-4" class="slide level2">
<h2></h2>
<p><img src="./res/mb7.png" style="width:55.0%" /> <img src="./res/mb6.png" style="width:55.0%" /></p>
<aside class="notes">
entrées/sorties
<ul>
<li>
bouton, broches,
<li>
en radio/bluetooth
<li>
en Javacompas, acceléromètre, température, luminosité
</ul>
</aside>
</section><section id="petit-quizz" class="slide level2">
<h2>Petit quizz !</h2>
<aside class="notes">
<a href="https://create.kahoot.it/share/atelier-micro-bit-quizz-1/ff6a8b84-cf7e-405d-a58a-d898a7f3ee03"> lien vers le Kahoot </a>
</aside>
<p>Ouvrir le lien utile <strong>Quizz</strong> de la page</p>
<p><strong><a href="http://url.univ-irem.fr/B">http://url.univ-irem.fr/B/</a></strong></p>
<p><a href="http://url.univ-irem.fr/B"><img src="./res/n.qr.png" /></a></p>
</section><section id="à-propos-du-tirage-aléatoire" class="slide level2">
<h2>À propos du tirage aléatoire</h2>
<p>Discussion :</p>
<ul>
<li class="fragment">quel intéret ?</li>
<li class="fragment">quelle plus-value ?</li>
</ul>
<aside class="notes">
<ul>
<li>
traitement rapide des résultats
<li>
modélisation par l’élève pour tendre vers des activités plus complexes
<li>
modélisation de situations complexes
</ul>
</aside>
</section></section>
<section><section id="programmation-par-blocs" class="titleslide slide level1"><h1>Programmation par blocs</h1></section><section id="makecode" class="slide level2">
<h2>Makecode</h2>
<video loop data-autoplay src="./res/makecode.mp4" width="75%">
</video>
<ul>
<li class="fragment">interface en ligne <a href="https://makecode.microbit.org/" class="uri">https://makecode.microbit.org/</a></li>
<li class="fragment">programmation par bloc ou en javascript</li>
<li class="fragment">simulateur</li>
</ul>
</section><section id="section-5" class="slide level2">
<h2></h2>
<video loop data-autoplay src="./res/makecode-tuto.mp4" width="75%">
</video>
<p><strong><a href="http://url.univ-irem.fr/B">http://url.univ-irem.fr/B/</a></strong></p>
<figure>
<img src="./res/n.qr.png" style="width:5.0%" />
</figure>
</section><section id="petit-quizz-1" class="slide level2">
<h2>Petit quizz !</h2>
<aside class="notes">
<a href="https://create.kahoot.it/share/atelier-micro-bit-quizz-2/a1d7fe7e-3f7e-4837-b3e1-fd77dd71f3bc"> lien vers le Kahoot </a>
</aside>
<p>Ouvrir le lien utile <strong>Quizz</strong> de la page</p>
<p><strong><a href="http://url.univ-irem.fr/B">http://url.univ-irem.fr/B/</a></strong></p>
<p><a href="http://url.univ-irem.fr/B"><img src="./res/n.qr.png" /></a></p>
</section></section>
<section><section id="programmation-python" class="titleslide slide level1"><h1>Programmation Python</h1></section><section id="section-6" class="slide level2">
<h2></h2>
<figure>
<img src="./res/prise_en_main_mu.gif" style="width:100.0%" />
</figure>
<p><a href="http://url.univ-irem.fr/B">http://url.univ-irem.fr/B/</a></p>
<figure>
<img src="./res/n.qr.png" style="width:5.0%" />
</figure>
</section><section id="afficher-un-texte" class="slide level2">
<h2>Afficher un texte</h2>
<div class="sourceCode"><pre class="sourceCode python"><code class="sourceCode python"><span class="im">from</span> microbit <span class="im">import</span> <span class="op">*</span>
display.scroll(<span class="st">&quot;Hello,&quot;</span>)
display.show(<span class="st">&quot;World!&quot;</span>)</code></pre></div>
</section><section id="terminal-et-sortie-graphique" class="slide level2">
<h2>Terminal et sortie graphique</h2>
<div class="sourceCode"><pre class="sourceCode python"><code class="sourceCode python"><span class="im">from</span> microbit <span class="im">import</span> <span class="op">*</span>
<span class="im">import</span> random
nb1 <span class="op">=</span> <span class="dv">0</span>
total <span class="op">=</span> <span class="dv">0</span>
<span class="cf">for</span> i <span class="kw">in</span> <span class="bu">range</span>(<span class="dv">1000</span>):
    tirage <span class="op">=</span> random.randint(<span class="dv">0</span>,<span class="dv">1</span>)
    total <span class="op">=</span> total <span class="op">+</span> <span class="dv">1</span>
    nb1 <span class="op">=</span> nb1 <span class="op">+</span> tirage
    nb0 <span class="op">=</span> total <span class="op">-</span> nb1
    <span class="bu">print</span>((i, nb1<span class="op">/</span>total, nb0<span class="op">/</span>total))</code></pre></div>
</section><section id="des-images" class="slide level2">
<h2>Des images</h2>
<div class="sourceCode"><pre class="sourceCode python"><code class="sourceCode python"><span class="im">from</span> microbit <span class="im">import</span> <span class="op">*</span>
display.show(Image.HAPPY)
sleep(<span class="dv">1000</span>)
display.show(Image.ANGRY)
sleep(<span class="dv">1000</span>)
display.clear()</code></pre></div>
</section><section id="les-boutons" class="slide level2">
<h2>Les boutons</h2>
<div class="sourceCode"><pre class="sourceCode python"><code class="sourceCode python"><span class="im">from</span> microbit <span class="im">import</span> <span class="op">*</span>
sleep(<span class="dv">10000</span>)
display.scroll(<span class="bu">str</span>(button_a.get_presses()))</code></pre></div>
</section><section id="le-mouvement" class="slide level2">
<h2>Le mouvement</h2>
<div class="sourceCode"><pre class="sourceCode python"><code class="sourceCode python"><span class="im">from</span> microbit <span class="im">import</span> <span class="op">*</span>
<span class="cf">while</span> <span class="va">True</span>:
    capteur <span class="op">=</span> accelerometer.get_x()
    <span class="cf">if</span> capteur <span class="op">&gt;</span> <span class="dv">40</span>:
        display.show(Image.ARROW_E)
    <span class="cf">elif</span> capteur <span class="op">&lt;</span> <span class="op">-</span><span class="dv">40</span>:
        display.show(Image.ARROW_W)
    <span class="cf">else</span>:
        display.show(<span class="st">&quot;-&quot;</span>)</code></pre></div>
</section><section id="les-gestes" class="slide level2">
<h2>Les gestes</h2>
<div class="sourceCode"><pre class="sourceCode python"><code class="sourceCode python"><span class="im">from</span> microbit <span class="im">import</span> <span class="op">*</span>
<span class="im">import</span> random
button_b.was_pressed()
<span class="cf">while</span> <span class="va">True</span>:
    display.show(<span class="st">&quot;8&quot;</span>)
    <span class="cf">if</span> accelerometer.was_gesture(<span class="st">&quot;shake&quot;</span>):
        display.clear()
        sleep(<span class="dv">1000</span>)
        display.scroll(random.choice([<span class="st">&quot;Oui&quot;</span>,<span class="st">&quot;Non&quot;</span>]))
    <span class="cf">if</span> button_b.was_pressed():
        display.clear()
        <span class="cf">break</span></code></pre></div>
</section><section id="la-radio" class="slide level2">
<h2>La radio</h2>
<div class="sourceCode"><pre class="sourceCode python"><code class="sourceCode python"><span class="im">from</span> microbit <span class="im">import</span> <span class="op">*</span>
<span class="im">import</span> radio
<span class="im">import</span> random
<span class="cf">while</span> <span class="va">True</span>:
    <span class="cf">if</span> button_a.was_pressed():
        radio.send(<span class="st">&quot;A&quot;</span>)
    <span class="cf">if</span> button_b.was_pressed():
        radio.send(<span class="st">&quot;B&quot;</span>)
    <span class="co"># récepteur</span>
    incomming <span class="op">=</span> radio.receive()
    <span class="cf">if</span> incomming <span class="op">==</span> <span class="st">&quot;A&quot;</span>:
        display.scroll(<span class="st">&quot;A&quot;</span>)
    <span class="cf">if</span> incomming <span class="op">==</span> <span class="st">&quot;B&quot;</span>:
        display.scroll(<span class="st">&quot;B&quot;</span>)
    sleep(<span class="dv">20</span>)</code></pre></div>
</section><section id="petit-quizz-2" class="slide level2">
<h2>Petit quizz !</h2>
<aside class="notes">
<a href="https://create.kahoot.it/share/atelier-micro-bit-quizz-3/5fd65425-a0e9-4182-8b09-8359a4504c3e"> lien vers le Kahoot </a>
</aside>
<p>Ouvrir le lien utile <strong>Quizz</strong> de la page</p>
<h3 id="httpurl.univ-irem.frb"><a href="http://url.univ-irem.fr/B">http://url.univ-irem.fr/B/</a></h3>
<p><a href="http://url.univ-irem.fr/B"><img src="./res/n.qr.png" /></a></p>
</section></section>
<section><section id="activité-de-recherche" class="titleslide slide level1"><h1>Activité de recherche</h1></section><section id="problématique" class="slide level2">
<h2>Problématique</h2>
<p>On utilise une boucle de <em>n</em> itérations pour allumer aléatoirement les diodes du Micro:bit.</p>
<figure>
<img src="./res/recherche.gif" style="width:20.0%" />
</figure>
<h4 id="combien-ditérations-sont-nécessaires-pour-allumer-toutes-les-diodes">Combien d’itérations sont nécessaires pour allumer toutes les diodes ?</h4>
</section></section>
<section><section id="merci" class="titleslide slide level1"><h1>Merci</h1></section><section id="groupe-ineflp-1" class="slide level2">
<h2>Groupe InEFLP</h2>
<span class="fragment fade-down">
<h4>
Innovation
</h4>
<p>Formes scolaires innovantes</p>
<h4>
Expérimentation
</h4>
<p>Micro-contrôleur</p>
<h4>
Formation
</h4>
<p>Algorithme</p>
<h4>
Lycée Professionnel
</h4>
<p></span></p>
<aside class="notes">
<ul>
<li>
colloque de Lyon
<li>
<li>
covoiturage
</li>
</ul>
</aside>
</section></section>
    </div>
  </div>

  <script src="reveal.js/lib/js/head.min.js"></script>
  <script src="reveal.js/js/reveal.js"></script>

  <script>

      // Full list of configuration options available at:
      // https://github.com/hakimel/reveal.js#configuration
      Reveal.initialize({
        // Display the page number of the current slide
        slideNumber: true,

        // Optional reveal.js plugins
        dependencies: [
          { src: 'reveal.js/lib/js/classList.js', condition: function() { return !document.body.classList; } },
          { src: 'reveal.js/plugin/zoom-js/zoom.js', async: true },
              { src: 'reveal.js/plugin/notes/notes.js', async: true }
        ]
      });
    </script>
    </body>
</html>
